%define upstream_name    Net-UPnP
%define upstream_version 1.4.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl extension for UPnP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This package provides some functions to control UPnP devices.

Currently, the package provides only functions for the control point. To
control UPnP devices, see the Net::UPnP::ControlPoint manpage.

As a sample of the control point, the package provides the
Net::UPnP::AV::MediaServer manpage to control the devices such as DLNA
media servers. As the example, please dms2vodcast.pl that converts from the
MPEG2 movies to the MPEG4 one and outputs the RSS file for Vodcasting.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.4.6-4.mga10
+ Revision: 2205264
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.4.6-3.mga9
+ Revision: 1811237
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.4.6-2.mga8
+ Revision: 1521683
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Dec 29 2018 tv <tv> 1.4.6-1.mga7
+ Revision: 1346460
- update to 1.4.6

* Sun Nov 11 2018 tv <tv> 1.4.5-1.mga7
+ Revision: 1329463
- update to 1.4.5

* Thu Sep 20 2018 umeabot <umeabot> 1.4.4-2.mga7
+ Revision: 1285295
- Mageia 7 Mass Rebuild

* Tue May 22 2018 shlomif <shlomif> 1.4.4-1.mga7
+ Revision: 1231564
- update to 1.4.4

* Sun Jun 19 2016 pterjan <pterjan> 1.4.3-3.mga6
+ Revision: 1031338
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.4.3-2.mga6
+ Revision: 966419
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.4.3-1.mga6
+ Revision: 844465
- update to 1.4.3

* Sat Oct 18 2014 umeabot <umeabot> 1.4.2-6.mga5
+ Revision: 788192
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-5.mga5
+ Revision: 744242
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-4.mga5
+ Revision: 685743
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.2-3.mga4
+ Revision: 513624
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.2-2.mga3
+ Revision: 370962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.4.2-1.mga1
+ Revision: 22687
- cleaning spec file
- imported package perl-Net-UPnP


* Fri Jul 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 557185
- import perl-Net-UPnP


* Fri Jul 23 2010 cpan2dist 1.4.2-1mdv
- initial mdv release, generated with cpan2dist
